version: 2

build:
  os: "ubuntu-22.04"
  tools:
    python: "3.10"

python:
  install:
    - requirements: docs/requirements.txt

sphinx:
  configuration: docs/src/conf.py
  # Fail the docs build if there is a warning (eg if the autoimports are not configured)
  fail_on_warning: true
